﻿<Window x:Class="TheTrader.WPF.MainWindow" xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" xmlns:controls="clr-namespace:TheTrader.WPF.Controls"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:viewModels="clr-namespace:TheTrader.WPF.ViewModels"
        Title="The Trader"
        Width="1000" Height="450"
        d:DataContext="{d:DesignInstance viewModels:MainViewModel}"
        mc:Ignorable="d">
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="Auto" />
            <RowDefinition Height="*" />
        </Grid.RowDefinitions>

        <controls:NavigationBar Grid.Row="0" DataContext="{Binding Navigator}" />
        <ScrollViewer Grid.Row="1" VerticalScrollBarVisibility="Auto" HorizontalScrollBarVisibility="Disabled">
            <ContentControl Grid.Row="1" Content="{Binding Navigator.CurrentViewModel}" />
        </ScrollViewer>
    </Grid>
</Window>